Get card balance
curl --request POST \
--url https://cc.nadcab.com/api/v1/cards/balance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data cardId=CA2508151940061607const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({cardId: 'CA2508151940061607'})
};
fetch('https://cc.nadcab.com/api/v1/cards/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/cards/balance"
payload = { "cardId": "CA2508151940061607" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/cards/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "cardId=CA2508151940061607",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": {
"available": "26.110000000000",
"pending": 0,
"frozen": 5,
"currency": "USD"
}
}Cards
Get card balance
POST
/
cards
/
balance
Get card balance
Authorizations
Your API key from Console → Settings → Key & Access, sent as Authorization: Bearer ncl_....
Body
application/x-www-form-urlencoded
Card ID
Example:
"CA2508151940061607"